Subject: Re: bug#64536: 30.0.50; Make cl-print put buttons on ellipses

From: Stefan Monnier <[email-masked]>
Date: Mon, 14 Aug 2023 10:07:14 -0400

>>>>> May it be possible to create an obsolete alias for this button type?
>>>> And I don't think we have such aliases.
>>> May it be added?
>> Patch welcome (especially if it comes together with some kind of
>> obsolescence mechanism).
> I am not sure if this can be done on byte compiler level.

Not sure either.  A compiler-macro placed on `make-text-button` and
`make-button` could look for a `:type` arg and check its obsolescence,
but I don't know how effective it would be.

> For runtime, after skimming through button.el, it looks like
> `button-category-symbol' might be used to throw a warning when obsolete
> button type is being used.

Runtime check are easier and more reliable, indeed, but also more
annoying and directed at the wrong person :-(

        Stefan